API Reference

Detailed and full API reference helps you master Tekla development

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

OperationCreateBentPlateByParts Method (Part, Part, BentPlateBendShape)

Modifies the first plate by adding a bend that connects it to the second plate creating a new BentPlate instance based on two parts. This method can change GUID when using from plug-ins. To keep GUID, use AddLeg(ConnectiveGeometry, ConnectiveGeometry, BentPlateBendShape).

Namespace:  Tekla.Structures.Model.Operations
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.1
Syntax
public static BentPlate CreateBentPlateByParts(
	Part part1,
	Part part2,
	BentPlateBendShape bendShape
)

Parameters

part1
Type: Tekla.Structures.ModelPart
One part used for creating the bent plate.
part2
Type: Tekla.Structures.ModelPart
The other part used for creating the bent plate.
bendShape
Type: Tekla.Structures.ModelBentPlateBendShape
Shape of the bend (cylindrical or conical)

Return Value

Type: BentPlate
The bent plate object if successful, null otherwise.
Exceptions
ExceptionCondition
ConnectiveGeometryExceptionThrown if could not create ConnectiveGeometry instance.
ArgumentExceptionThrown if received unsupported bent plate creation input.
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.